
const { ccclass, property } = cc._decorator;

@ccclass
export default class Move extends cc.Component {

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {
        console.log('this.node.name', this.node.name);
        console.log('this.node.z', this.node.z);
        console.log('is3DNode', this.node.is3DNode);
    }

    update(dt) {
        // console.log('dt', dt)
        this.node.z += 10;
        // this.node.y += 1;
    }
}
